/
Create sender for project
Creates a sender for a project.
Security
BasicAuth and BearerAuth and OAuth2Production
The unique ID of the project. You can find this on the Sinch Dashboard.
Sender data
Sender details and information. Not required for draft.
Create as draft or submit. Defaults to submit.
Default:"SUBMIT"
Enum:"DRAFT""SUBMIT"
- Production serverhttps://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders
Example of full body to create a sender.
curl -i -X POST \
-u '<username>:<password>' \
'https://provisioning.api.sinch.com/v1/projects/{projectId}/kakaotalk/senders' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"plusFriendId": "plusFriendId",
"status": "SUBMIT",
"saveDraftOnFailure": true,
"details": {
"adminPhoneNo": "+48777777777",
"name": "Test Name",
"logoImage": "https://example-logo-image.com",
"topLevelCategoryCode": "019",
"midLevelCategoryCode": "0006",
"subLevelCategoryCode": "0001"
}
}'Sender
The current state of the sender.
Enum:"ACTIVE""BLOCKED""INACTIVE""SUSPENDED""VERIFYING"
Response
Response when successfully creating a sender.
{ "id": "cf11794a-6a5e-4a12-b103-da79bd378bf1", "plusFriendId": "5WY5zKfY3pB56EmDVUPQ", "changes": { "status": "REJECTED", "details": { … } }, "created": "2023-02-23T11:28:51.194Z", "modified": "2023-02-23T11:28:51.194Z" }
We'd love to hear from you!
Rate this content: